"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _firebaseContext = _interopRequireDefault(require("../firebaseContext"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance"); }

function _iterableToArrayLimit(arr, i) { var _arr = []; var _n = true; var _d = false; var _e = undefined; try { for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

function useFirebaseUser() {
  var firebase = (0, _firebaseContext["default"])();

  var _React$useState = _react["default"].useState(firebase.auth().currentUser),
      _React$useState2 = _slicedToArray(_React$useState, 2),
      user = _React$useState2[0],
      setUser = _React$useState2[1];

  _react["default"].useEffect(function () {
    // onAuthStateChanged returns a firebase.Unscubscribe
    var unsubscribe = firebase.auth().onAuthStateChanged(function (user) {
      setUser(user);
    });
    return unsubscribe; // Unsubscribe for cleanup
  }, [user]);

  return user;
}

var _default = useFirebaseUser;
exports["default"] = _default;