"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var _exportNames = {
  useFirebase: true,
  provideFirebaseMiddleware: true,
  references: true,
  writes: true
};
Object.defineProperty(exports, "default", {
  enumerable: true,
  get: function get() {
    return _middleware["default"];
  }
});
Object.defineProperty(exports, "provideFirebaseMiddleware", {
  enumerable: true,
  get: function get() {
    return _middleware["default"];
  }
});
Object.defineProperty(exports, "references", {
  enumerable: true,
  get: function get() {
    return _references["default"];
  }
});
Object.defineProperty(exports, "writes", {
  enumerable: true,
  get: function get() {
    return _writes["default"];
  }
});
exports.useFirebase = void 0;

var _hooks = require("./hooks");

Object.keys(_hooks).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function get() {
      return _hooks[key];
    }
  });
});

var _middleware = _interopRequireDefault(require("./middleware"));

var _references = _interopRequireDefault(require("./references"));

var _writes = _interopRequireDefault(require("./writes"));

var _utils = require("./utils");

Object.keys(_utils).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function get() {
      return _utils[key];
    }
  });
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var useFirebase = _hooks.useFirebaseContext;
exports.useFirebase = useFirebase;